Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2476)

Unified Diff: app-admin/eselect-python/eselect-python-20100321.ebuild

Issue 6776028: Upgrade libxml2 and its portage dependencies (Closed) Base URL: ssh://gitrw.chromium.org:9222/portage-stable.git@master
Patch Set: Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « app-admin/eselect-python/Manifest ('k') | app-admin/eselect-python/metadata.xml » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: app-admin/eselect-python/eselect-python-20100321.ebuild
diff --git a/app-admin/eselect-python/eselect-python-20100321.ebuild b/app-admin/eselect-python/eselect-python-20100321.ebuild
new file mode 100644
index 0000000000000000000000000000000000000000..0964b7b3850822bb62537ed2d727efe8308a0d25
--- /dev/null
+++ b/app-admin/eselect-python/eselect-python-20100321.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-python/eselect-python-20100321.ebuild,v 1.6 2010/06/19 17:06:00 armin76 Exp $
+
+EAPI="1"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Eselect module for management of multiple Python versions"
+HOMEPAGE="http://www.gentoo.org"
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
+IUSE=""
+
+RDEPEND=">=app-admin/eselect-1.2.3"
+DEPEND="${RDEPEND}
+ sys-devel/autoconf
+ >=sys-devel/gcc-3.4"
+
+pkg_setup() {
+ if [[ $(gcc-major-version) -lt 3 || ($(gcc-major-version) -eq 3 && $(gcc-minor-version) -lt 4) ]]; then
+ die "GCC >=3.4 is required"
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ ./autogen.sh || die "autogen.sh failed"
+}
+
+src_install() {
+ keepdir /etc/env.d/python
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
+
+pkg_preinst() {
+ if has_version "<${CATEGORY}/${PN}-20090804" || ! has_version "${CATEGORY}/${PN}"; then
+ run_eselect_python_update="1"
+ fi
+}
+
+pkg_postinst() {
+ if [[ "${run_eselect_python_update}" == "1" ]]; then
+ ebegin "Running \`eselect python update\`"
+ eselect python update --python2 > /dev/null
+ eend "$?"
+ fi
+}
« no previous file with comments | « app-admin/eselect-python/Manifest ('k') | app-admin/eselect-python/metadata.xml » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698